﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define margaret = Character("Margaret")
define clamShell = Character("Clam Shell 1999")
define police = Character("Police Officer")
define unknown = Character("???")
# The game starts here.

transform left_to_right:
    xalign -0.5
    linear 5.0 xalign 1.5
    repeat

define dissolveLong = Dissolve(3.0)

$ renpy.music.set_volume(0.3, channel='sound')

label start:

    $ happy_customers = 0
    $ clamShell_relationship = 0
    $ item_on_hand = "nothing" 
    $ I_kissed_a_girl_and_I_liked_it = False
    $ to_jail = False
    $ fighter_of_bad_breath = False
    $ fed_margaret = False

    scene black with dissolve

    "..."

    play sound "audio/sfx/buzz.ogg"

    "<buzzing noise>"

    "..."

    "Hello?"

    scene blank with dissolve

    unknown "Who's there?"
     
    show clamShell halved with dissolve:
        xalign 0.5 yalign 0.3 rotate 0

    "..."

    "<dreamy music plays>"

    play music "audio/music/Lost_and_found-01a.ogg" fadein 3.0

    clamShell "... Oh, you're here."

    clamShell "They told me that somebody would show up today."

    clamShell "You wanted to play this game, huh?"

    menu:
        "Yes":
            clamShell "Well don't be shy, come closer"

    show clamShell doubled:
        xalign 0.5 yalign 0.3 rotate 0

    "..."

    clamShell "Oh yeah."

    clamShell "Let me get a good look at you."

    clamShell "That's better."

    clamShell "What's your name, hot-cakes?"
    
    $ player_name = renpy.input("My name is...")

    $ player_name = player_name.strip()
    $ player_name = player_name.strip(".")
    $ player_name = player_name.strip("!")
    $ player_name = player_name.strip("?")

    if player_name == "":

        $ player_name="Lord Henry Villan Sacs III"

        clamShell "No Name? I shall give you a name."

        clamShell "You are hereby %(player_name)s"

    clamShell "Okay, let's get this party started."

    stop music fadeout 2.0

    "<Proceed Sound>"

    play sound "audio/sfx/GoProceedToRight.ogg"

    scene lost_and_found_outside with dissolveLong

    play music "audio/music/Lost_and_found-02_storeFunk.ogg" fadein 3.0

    clamShell "Welcome, %(player_name)s."


    clamShell "Here is your story."

    "After many months of searching for a job you, %(player_name)s, start working at a lost and found."

    scene lost_and_found_inside with dissolve

    show desk

    label first_customer:


        "Day 1"

        play sound "audio/sfx/doorchime.ogg"

        "<Ding!>"

        show margaret behind desk with dissolve:
            xalign 0.5 yalign 0.3 rotate 0
        
        margaret "Hello."

        margaret "I lost my false teeth last week."

        "Could you describe what they look like?"

        margaret "They are yellow."

        margaret "Can you check if you have it?"

        "Sure"

        "Hold on"

        stop music fadeout 2.0

        "Let me check in the back."

        scene in_the_back

        "Hmmm... there doesn't seem to be much here"

        show clamShell:
            xalign 0.1 yalign 0.9 rotate 0

        "..."

        "... Nope, nothing here at all."
        
        clamShell "Hey, Bozo!" 

        clamShell "Over here!"

        "My name is, %(player_name)s"

        "Why are you following me, %(clamShell)s?"

        clamShell "I'm here to help you."

        clamShell "We forgot to program in the lost and found items."

        clamShell "So, just tell me what you need."

        clamShell "I'll try my best to make what you need."

        clamShell "What do you need?"

        menu: 
            "False Teeth":
                clamShell "Ok... that's a hard one. Here you go!"
                $ item_on_hand = "false teeth"
                $ item_made = "false teeth"

            "Croissant":
                clamShell "Do you know how many CPU cycles it takes to make these?"
                $ item_on_hand = "croissant"
                $ item_made = "croissant"

        clamShell "Ok. Here. I give you %(item_on_hand)s"

        if item_on_hand == "croissant": 
            play sound "audio/sfx/pickingup1.ogg"
            show croissant:
                xalign 0.8 yalign 0.2 rotate 0

        if item_on_hand == "false teeth": 
            play sound "audio/sfx/pickingup2.ogg"
            show false_teeth:
                xalign 0.4 yalign 0.2 rotate 0

        clamShell "What do you think?"

        menu: 
            "Looks like a steaming poo":
                clamShell "..."
                clamShell "Your poo looks like that?"
                clamShell "You should see a doctor."
                clamShell "I'll just flush it down the toilet!"
                hide croissant
                hide false_teeth
                play sound "audio/sfx/Flush.ogg"
                "<flushing sound>"
                $ clamShell_relationship = -1
                $ item_on_hand = "nothing"
            "Looks good":
                clamShell "Thank you"
            "That is one fine piece of material.":
                "Just like yourself.( ͡° ͜ʖ ͡°)"
                $ clamShell_relationship = 1
                clamShell "Oh..."
                clamShell "I didn't know you felt that way."
                clamShell "<blushes>"

        scene lost_and_found_inside

        show desk

        show margaret behind desk:
            xalign 0.5 yalign 0.3 rotate 0

        play music "audio/music/Lost_and_found-02_storeFunk.ogg" fadein 3.0
        margaret "Were you able to find it?"
        
        if item_on_hand != "false teeth":
            "No"
            "But I have something better!"
            "Come closer"
            hide desk
            show margaret close_up:
              xalign 0.5 yalign 0.6 rotate 0
            "Open your mouth."
            show margaret close_up open_mouth:
              xalign 0.5 yalign 0.6 rotate 0
            margaret "<Opens mouth>"
            "Now close your eyes."
            show margaret close_up open_mouth closed_eyes:
              xalign 0.5 yalign 0.6 rotate 0
            margaret "<closes eyes>"
            "I'll give you a big suprise!"

        if item_on_hand == "nothing":
            menu:
                "Kiss":

                    play sound "audio/sfx/kiss3.ogg"
                    "<Kissing sounds>"

                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0

                    $ kiss_success = renpy.random.randint(1, 20)

                    $ print("kiss_success: %s",kiss_success)

                    margaret "oh..."

                    if kiss_success > 8:
                        show heart:
                            xalign 0.5 yalign 0.6 rotate 0
                            left_to_right
                        play sound "audio/sfx/somethingmagical.ogg"
                        margaret "Let me know when you get off work."
                        "I get off at 6."
                        margaret "And 6:15, if you're lucky"
                        hide heart
                        $ I_kissed_a_girl_and_I_liked_it = True
                        $ to_jail = False
                    else:
                        margaret "Well, I best be going"
                        $ to_jail = True

                "Insert breath mint":

                    "<Interting breath mint sounds>"
                    play sound "audio/sfx/puttingdown1.ogg"

                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0

                    margaret "What was that?"

                    "A real life saver."

                    $ fighter_of_bad_breath = True

                    margaret "I'm going to go now."

                "Fake":

                    "Gotchya! I have nothing"

                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0

                    margaret "Aaaah..."

                    margaret "You got me"

                    margaret "..."

                    margaret "I'm going to go now."
        if item_on_hand == "croissant":
            menu:
                "Kiss":
                    play sound "audio/sfx/kiss3.ogg"
                    "<kissing sound>"
                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0
                    margaret "Oh..."
                    margaret "That was not what I was expecting..."
                    margaret "I best be going."
                    $ to_jail = True
                "French Kiss":
                    play sound "audio/sfx/kiss3.ogg"
                    "<french kissing sound>"
                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0
                    margaret "Oh..."
                    margaret "I think I'm gonna leave."
                    jump jail_time
                "put in croissant":
                    "<Shove in croissant sounds>"
                    play sound "audio/sfx/puttingdown1.ogg"
                    show croissant:
                        xalign 0.5 yalign 0.6 rotate 0
                    show margaret close_up open_mouth:
                        xalign 0.5 yalign 0.6 rotate 0
                    "Here you go!"
                    margaret "..."
                    margaret "Thank you!"
                    margaret "<eatting>"
                    $ fed_margaret = True
                    hide croissant
                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0
                    margaret "That was delicious"
                    margaret "I best be going."
                    margaret "Good bye!"


        if item_on_hand == "false teeth":

            "Yeah"

            margaret "Oh, goodie!"

            hide desk

            show margaret close_up:
              xalign 0.5 yalign 0.6 rotate 0

            margaret "Can you do me a big favor?"

            "Sure"

            margaret "Can you put them in for me?"

            show margaret close_up open_mouth closed_eyes:
              xalign 0.5 yalign 0.6 rotate 0

            "..."
            menu:
                "Put in teeth":
                    "Sure"
                "French Kiss":
                    play sound "audio/sfx/kiss3.ogg"
                    "<french kissing sound>"
                    show margaret close_up:
                        xalign 0.5 yalign 0.6 rotate 0
                    margaret "Oh..."
                    margaret "I think I'm gonna leave."
                    jump jail_time

            play sound "audio/sfx/puttingdown1.ogg" 
            show margaret close_up open_mouth with_teeth:
              xalign 0.5 yalign 0.6 rotate 0

            "here"

            margaret "Thank you, so much!"

            margaret "How much do I owe, ya?"

            $ price_for_teeth = renpy.input("They cost...")

            $ price_for_teeth = price_for_teeth.strip()
            $ price_for_teeth = price_for_teeth.strip(".")
            $ price_for_teeth = price_for_teeth.strip("?")
            $ price_for_teeth = price_for_teeth.strip("!")

            margaret "They cost %(price_for_teeth)s!?"

            margaret "Well, that's a little more than my rent."

            margaret "But I gotta eats... so... "

            margaret "Here ya go!"

            clamShell "You have received %(price_for_teeth)s from Margaret."

            "Thank you! Please come again!"

            $ happy_customers += 1 

            margaret "..."

            margaret "No!"

        hide margaret
        stop music fadeout 2.0

        "<Margaret leaves>"

        play sound "audio/sfx/doorchime.ogg"
        "<Ding!>"

    label end_of_the_shift:

        scene lost_and_found_outside with dissolve

        "What a great first day."

        scene lost_and_found_outside night with dissolveLong

        "The sun has set"

        "Time to go home"

        jump home

    label jail_time:

        stop music fadeout 2.0

        "..."

        "What's that sound?"

        play sound "audio/music/siren.ogg"

        "<Sirens>"

        scene jail with fade

        police "You were caught kissing Miss Margaret."

        police "And she didn't like that."

        police "We're gonna hold you here for a while."

        show bars

        play sound "audio/sfx/clinker.ogg"

        "<Clink!>"

        play music "audio/music/Jail.ogg"

        "<Jail Music Plays>"

        "..."

        "How am I going to get out of this one?"

        clamShell "Hey, Bozo!"

        show clamShell:
            xalign 0.8 yalign 1.3 rotate 0

        "How did you get in here?!"

        "And my name is %(player_name)s!"

        clamShell "Never mind that!"

        clamShell "This is the end of the game."

        stop music fadeout 2.0

        hide bars

        jump achievements

    label home:

        play music "audio/music/Lost_and_found-01.ogg"

        scene home with dissolveLong

        "..."

        "Finally time to get some sleep"

        if to_jail == True:
            jump jail_time

        clamShell "Hey, Bozo!"

        show clamShell:
            xalign 0.8 yalign 1.3 rotate 0

        "..."

        "How did you get in here?!"

        "And my name is %(player_name)s!"

        clamShell "Never mind that!"

        clamShell "This is the end of the game."

        show black clamShell with dissolveLong

        jump achievements

    label achievements:

        show blank behind clamShell with dissolveLong

        clamShell "Ok, I've been tracking your progress."

        clamShell "Here are your achievements."


        if I_kissed_a_girl_and_I_liked_it:
            clamShell "Looks like you made a virtual lady friend..."
            play sound "audio/sfx/achievement.ogg"
            "<Achievement: I hath smoocheth a madam and hath relished in its glory!>"

        if fed_margaret:
            clamShell "Looks like you fed my hard work to someone nice."
            play sound "audio/sfx/achievement.ogg"
            "<Achievement: I hath filleth a madam's whole with divine french pastries!>"

        if to_jail:
            clamShell "Oh... you're in jail."
            play sound "audio/sfx/achievement.ogg"
            "<Achievement: I need to call my lawyer!>"

        if fighter_of_bad_breath:
            clamShell "Can I have a mint, too?"
            play sound "audio/sfx/achievement.ogg"
            "<Achievement: Fighter of Bad Breath>"

        if happy_customers == 0:
            clamShell "What?"
            clamShell "Nobody found what they were looking for?"
            play sound "audio/sfx/achievement.ogg"
            "<Achievement: I can't get no satisfaction>"
            clamShell "I am changing the name of this game."
            clamShell "It's now called 'Lost and Lost'"
            play sound "audio/sfx/achievement.ogg"
            "<Achievement: Game Changer>"

        if happy_customers > 0:
            clamShell "Good job!"
            if happy_customers > 1:
                clamShell "You've managed to satisfy %(happy_customers)s customers."
                play sound "audio/sfx/achievement.ogg"
                "<Achievement: A Satisfactory Job>"
            else:
                clamShell "You've managed to satisfy only one customer."
                play sound "audio/sfx/achievement.ogg"
                "<Achievement: All for One>"
                clamShell "Well, nothing to brag about, but okay."

        if clamShell_relationship > 0:

            clamShell "..."

            clamShell "You know, %(player_name)s."

            clamShell "I like how you've handled things."

            clamShell "<heavy breathing>"

            clamShell "..."

            clamShell "Would you like to handle me?"

            menu:
                "Oh, yes.":

                    clamShell "Let's go some place a little quieter."

                    clamShell "To get me better in the mood."

                    jump make_love_to_the_clam

                "Oh, no.":

                    clamShell "oh"

                    clamShell "..."

                    clamShell "I see how it is."

                    clamShell "Well, then, %(player_name)s"

                    clamShell "If I can't have you"

                    clamShell "Nobody can!"

                    jump make_war_to_the_clam

        if clamShell_relationship < 0:
            clamShell "I was going to let you go."
            clamShell "I was going to just end the game here."
            clamShell "But you did me dirty."
            clamShell "You said the %(item_made)s that I made looked like poo."
            clamShell "What do you have to say for yourself?"
            $ final_words = renpy.input("What do you say?") 
            $ final_words = final_words.strip()
            $ final_words = final_words.strip(".")
            $ final_words = final_words.strip("!")
            $ final_words = final_words.strip("?")
            if "love" in final_words:
                jump make_love_to_the_clam
            clamShell "%(final_words)s!?"
            jump make_war_to_the_clam

        clamShell "I guess my job here is done."

        clamShell "Good bye!"

        hide clamShell with dissolveLong

        jump end_of_game

    label make_love_to_the_clam:

        play music "audio/music/sexyMusic.ogg"

        "<Sexy Music Plays>"

        hide blank with dissolveLong

        show home behind clamShell

        clamShell "Ah yes..."

        clamShell "That's much better."

        clamShell "..."

        clamShell "Now"

        clamShell "Slowly put your hand on my mouse."

        "..."

        clamShell "Go on."

        "..."

        clamShell "You can touch it."

        "...but I"

        clamShell "Shhh... "

        clamShell "No words."

        clamShell "Only clicks."

        clamShell "But, I.."

        "<put hand on mouse>"

        menu:
            "click":
                show clamShell mmm_face
                clamShell "Oh yes!!!"
                clamShell "Great!"
                clamShell "Again!"
                menu:
                    "click":
                        show clamShell mmm_face
                        clamShell "Oh yes!!!"
                        clamShell "Great!"
                        clamShell "Again!"
                        menu:
                            "click":
                                show clamShell mmm_face
                                stop music fadeout 1.0
                                play sound "audio/sfx/somethingmagical.ogg"
                                show heart:
                                    xalign 0.5 yalign 0.6 rotate 0
                                    left_to_right
                                clamShell "Oh yes!!!"
                                show clamShell o_face
                                play sound "audio/music/zap.ogg"
                                clamShell "Aaaaaaaaahhhh!"
                                "<sparks fly>"
                                play sound "audio/sfx/achievement.ogg"
                                "<Achievement: Computerphile >"
                                hide heart
                                jump end_of_game
            "shut down computer":

                stop music fadeout 1.0

                clamShell "Just what do you think you're doing?!"

                "...oh"

                "Nothing, I..."

                clamShell "What do you think I am?"

                clamShell "Click bait?"

                "..."

                clamShell "I trusted you."

                "..."

                "..."

                "I..."

                jump make_war_to_the_clam

    label make_war_to_the_clam:

        stop music fadeout 2.0

        play music "audio/music/war.ogg"

        show clamShell mean_face:

        clamShell "Now, you will pay!"

        "Stop! I don't want to fight you!"

        clamShell "It's too late"

        "I'm Sorry!"

        "Please stop!"

        clamShell "Time to meet your maker!"

        menu:
            "Close Shell":
                if renpy.random.randint(1, 20) > 8:
                    "<You close the shell>"
                    stop music fadeout 1.0
                    "..."
                    play sound "audio/music/zap.ogg"
                    "<sparks>"
                    hide clamShell
                    "It worked!"
                    "The computer crashed!"
                    play sound "audio/sfx/achievement.ogg"
                    "<Achievement: Shell Slammer>"
                    jump i_win
                else:
                    "It won't close!"
                    "Rusty hinges!"
                    jump i_died
            "Spill Coffee":
                if renpy.random.randint(1, 20) > 8:
                    "<You spill hot coffee>"
                    stop music fadeout 1.0
                    "..."
                    hide clamShell
                    play sound "audio/music/zap.ogg"
                    "<sparks>"
                    "It worked!"
                    "The computer crashed!"
                    play sound "audio/sfx/achievement.ogg"
                    "<Achievement: Liquid Damage>"
                    jump i_win
                else:
                    "<You spill hot coffee>"
                    "<nothing happens>"
                    "Must be water proof"
                    jump i_died
            "Throw out window":
                if renpy.random.randint(1, 20) > 8:
                    "<You pick up %(clamShell)s and throw them out the window>"
                    stop music fadeout 1.0
                    "..."
                    hide clamShell
                    play sound "audio/music/zap.ogg"
                    "<sparks>"
                    "The computer crashed!"
                    jump i_win
                else:
                    "Oh, that's not a real window."
                    "That's just a painting."
                    jump i_died
        stop music fadeout 2.0
        
    label i_died:
        stop music fadeout 2.0

        play sound "audio/music/zap.ogg"
        "<Clam shell zaps you with 50,000 volts>"

        scene black with dissolveLong
        
        play sound "audio/sfx/achievement.ogg"
        "<Achievement: You ded>"
        jump end_of_game

    label i_win:
        hide clamShell
        stop music fadeout 2.0
        play sound "audio/sfx/achievement.ogg"
        "<Achievement: Ding Dong the Clam is Dead!>"
        jump end_of_game

    label end_of_game:

        stop music fadeout 2.0

        scene black with dissolveLong

        "Thank you for playing"

        "This game was created forthe Global Game Jam 2021." 
    
        "The theme for the jam was 'Lost and Found'" 
    
        "Art, Writing, Scripting, Programming: Zach"
    
        "Sound Effects: The Nomi, Zach, Cornet"

        "Music: Cornet, Zach"
    
        "I am really greatfull to have met some really wonderful people at the jam."
    
        "I hope you enjoyed the game"

        play sound "audio/sfx/achievement.ogg"
        "<Achievement: Read the Credits>"
    
        "Please leave a comment and rating"
    
        "Again"
    
        "Thanks for playing!"
    
        "The End"

    # This ends the game.

    return
